{% extends "base.html" %}
{% block main %}
<article>
  <div class="card mb-5" style="background-color: #EEF8E8;">
    <div class="row g-0">
      <div class="col-md-5">
        <div class="card-body">
          
          <!-- carousel -->
          <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-100" src="{{ url_for('static',filename='Images/Plante-1.jpg') }}" alt="First slide" width="105" height="300">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="{{ url_for('static',filename='Images/Serre-1.jpg') }}" alt="Second slide" width="105" height="300">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="{{ url_for('static',filename='Images/Serre-2.jpg') }}" alt="Third slide" width="105" height="300">
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
          </div>


        </div>
      </div>

      <!-- texte à gauche du carousel -->
      <div class="col-md-6">
        <article>
          <h5 class="card-title" id="first-card">{{titreCarte1}}</h5>
          <p class="card-text-o">Le but est de vous permettre de suivre l’évolution de plusieurs paramètres comme la température, le taux d’humidité etc... Dans vos serres à distance via des capteurs et de proposer un premier pas vers l’automatisation de la serre.</br>Nous proposons 3 formules adaptées à des besoins différents : </p>
          <p class="card-text-o">
            <ul>
              <li>Gratuite, afin que vous puissiez tester nos technologies et vous faire un premier aperçu,</li>
              <li>Standard, plus adapté pour les particuliers,</li>
              <li> Professionnelle, adapté pour les grandes cultures.</li>
            </ul>
          </p>
          <p class="card-text-o"><small class="text-muted">Dernière update : {{date}}</small></p>
        </div>
    </div>
  </article>
  </div>

  <!-- 2eme carte -->

  <div class="card mb-3" style="background-color: #EEF8E8;">
    <div class="row g-0">
      <div class="col-md-10">
        <div class="card-body">
          <h5 class="card-title">{{titreCarte2}}</h5>
          <p class="card-text">Notre site web est relié à des capteurs composé d’une carte Arduino Leonardo et d’un module SIM 808 pour la localisation GPS.</p>
          <p class="card-text">L’arduino Leonardo que nous utilisons est une carte avec un MCU ATmega32u4, une mémoire flash de 32 Ko et une statique de 2,5 Ko permettant un traitement rapide des données</p>
          <p class="card-text"><small class="text-muted">Dernière update : {{date}}</small></p>
        </div>
      </div>
      <div class="col-md-2">
        <img src="{{ url_for('static',filename='Images/leonardoarduino.png') }}" class="img-fluid rounded-start" alt="imageTest">
      </div>
    </div>
  </div>
</div>

<h1>Nos differentes formules</h1>

  <!-- formule gratuite -->
  <div class="row row-cols-1 row-cols-md-3 g-4">
    <div class="col">
      <div class="card text-center h-100" style="background-color: #EEF8E8">
        <div class="card-body">
          <h5 class="card-header">Formule gratuite</h5>

          {% for x in formuleGratuite %}
          <p class="card-text">{{x}}</p>
          {% endfor %}
          
          <a href="{{ url_for('abonnement', id_abonnement=1) }}" class="btn btn-success btn-lg btn-lg">Choisir</a>
        </div>
      </div>
    </div>

<!-- formule standard -->
    <div class="col">
      <div class="card text-center h-100" style="background-color: #EEF8E8;">
      <div class="card-body">
        <h5 class="card-header">Formule standard</h5>
        {% for x in formuleStandard %}
        <p class="card-text" style="text-align: center;">{{x}}</p>
        {% endfor %}

        <a href="{{ url_for('abonnement', id_abonnement=2) }}" class="btn btn-success btn-lg btn-lg">Choisir</a>
        </div>
      </div>
    </div>


<!-- formule professionnelle -->
    <div class="col">
      <div class="card text-center h-100" style="background-color: #EEF8E8;">
        <div class="card-body">
          <h5 class="card-header">Formule professionnelle</h5>

          {% for x in formuleProfessionelle %}
          <p class="card-text">{{x}}</p>
          {% endfor %}

          <a href="{{ url_for('abonnement', id_abonnement=3) }}" class="btn btn-success btn-lg btn-lg">Choisir</a>
        
        </div>
      </div>
    </div>
  </div>

</article>
{% endblock %}